package org.dromara.ems.info.domain;

import cn.idev.excel.annotation.ExcelIgnoreUnannotated;
import cn.idev.excel.annotation.ExcelProperty;
import cn.idev.excel.annotation.format.DateTimeFormat;
import org.dromara.common.mybatis.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 行李系统安全门铅酸电池生命周期对象 luggage_system_security_door_battery_lifecycle
 * 
 * @author Yinq
 * @date 2025-06-05
 */
@ExcelIgnoreUnannotated
public class LuggageSystemSecurityDoorBatteryLifecycle extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键，自增ID */
    private Long objid;

    /** 类型 */
    @ExcelProperty(value = "类型")
    private String type;

    /** 参照位置 */
    @ExcelProperty(value = "参照位置")
    private String referenceLocation;

    /** 位置描述 */
    @ExcelProperty(value = "位置描述")
    private String locationDescription;

    /** 取电 */
    @ExcelProperty(value = "取电")
    private String powerSource;

    /** 电池类型 */
    @ExcelProperty(value = "电池类型")
    private String batteryType;

    /** 图片地址 */
    @ExcelProperty(value = "图片地址")
    private String imageAddress;

    /** 备注 */
    @ExcelProperty(value = "备注")
    private String remarks;

    /** 第1次 */
    @DateTimeFormat("yyyy/MM/dd")
    @ExcelProperty(value = "第1次")
    private String firstInstance;

    /** 第2次 */
    @DateTimeFormat("yyyy/MM/dd")
    @ExcelProperty(value = "第2次")
    private String secondInstance;

    /** 第3次 */
    @DateTimeFormat("yyyy/MM/dd")
    @ExcelProperty(value = "第3次")
    private String thirdInstance;

    /** 第4次 */
    @DateTimeFormat("yyyy/MM/dd")
    @ExcelProperty(value = "第4次")
    private String fourthInstance;

    /** 第5次 */
    @DateTimeFormat("yyyy/MM/dd")
    @ExcelProperty(value = "第5次")
    private String fifthInstance;

    /** 第6次 */
    @DateTimeFormat("yyyy/MM/dd")
    @ExcelProperty(value = "第6次")
    private String sixthInstance;

    /** 第7次 */
    @DateTimeFormat("yyyy/MM/dd")
    @ExcelProperty(value = "第7次")
    private String seventhInstance;

    /** 第8次 */
    @DateTimeFormat("yyyy/MM/dd")
    @ExcelProperty(value = "第8次")
    private String eighthInstance;

    /** 第9次 */
    @DateTimeFormat("yyyy/MM/dd")
    @ExcelProperty(value = "第9次")
    private String ninthInstance;

    /** 第10次 */
    @DateTimeFormat("yyyy/MM/dd")
    @ExcelProperty(value = "第10次")
    private String tenthInstance;

    /** 第11次 */
    @DateTimeFormat("yyyy/MM/dd")
    @ExcelProperty(value = "第11次")
    private String eleventhInstance;

    /** 第12次 */
    @DateTimeFormat("yyyy/MM/dd")
    @ExcelProperty(value = "第12次")
    private String twelfthInstance;

    public void setObjid(Long objid) 
    {
        this.objid = objid;
    }

    public Long getObjid() 
    {
        return objid;
    }
    public void setType(String type) 
    {
        this.type = type;
    }

    public String getType() 
    {
        return type;
    }
    public void setReferenceLocation(String referenceLocation) 
    {
        this.referenceLocation = referenceLocation;
    }

    public String getReferenceLocation() 
    {
        return referenceLocation;
    }
    public void setLocationDescription(String locationDescription) 
    {
        this.locationDescription = locationDescription;
    }

    public String getLocationDescription() 
    {
        return locationDescription;
    }
    public void setPowerSource(String powerSource) 
    {
        this.powerSource = powerSource;
    }

    public String getPowerSource() 
    {
        return powerSource;
    }
    public void setBatteryType(String batteryType) 
    {
        this.batteryType = batteryType;
    }

    public String getBatteryType() 
    {
        return batteryType;
    }
    public void setImageAddress(String imageAddress) 
    {
        this.imageAddress = imageAddress;
    }

    public String getImageAddress() 
    {
        return imageAddress;
    }
    public void setRemarks(String remarks) 
    {
        this.remarks = remarks;
    }

    public String getRemarks() 
    {
        return remarks;
    }
    public void setFirstInstance(String firstInstance) 
    {
        this.firstInstance = firstInstance;
    }

    public String getFirstInstance() 
    {
        return firstInstance;
    }
    public void setSecondInstance(String secondInstance) 
    {
        this.secondInstance = secondInstance;
    }

    public String getSecondInstance() 
    {
        return secondInstance;
    }
    public void setThirdInstance(String thirdInstance) 
    {
        this.thirdInstance = thirdInstance;
    }

    public String getThirdInstance() 
    {
        return thirdInstance;
    }
    public void setFourthInstance(String fourthInstance) 
    {
        this.fourthInstance = fourthInstance;
    }

    public String getFourthInstance() 
    {
        return fourthInstance;
    }
    public void setFifthInstance(String fifthInstance) 
    {
        this.fifthInstance = fifthInstance;
    }

    public String getFifthInstance() 
    {
        return fifthInstance;
    }
    public void setSixthInstance(String sixthInstance) 
    {
        this.sixthInstance = sixthInstance;
    }

    public String getSixthInstance() 
    {
        return sixthInstance;
    }
    public void setSeventhInstance(String seventhInstance) 
    {
        this.seventhInstance = seventhInstance;
    }

    public String getSeventhInstance() 
    {
        return seventhInstance;
    }
    public void setEighthInstance(String eighthInstance) 
    {
        this.eighthInstance = eighthInstance;
    }

    public String getEighthInstance() 
    {
        return eighthInstance;
    }
    public void setNinthInstance(String ninthInstance) 
    {
        this.ninthInstance = ninthInstance;
    }

    public String getNinthInstance() 
    {
        return ninthInstance;
    }
    public void setTenthInstance(String tenthInstance) 
    {
        this.tenthInstance = tenthInstance;
    }

    public String getTenthInstance() 
    {
        return tenthInstance;
    }
    public void setEleventhInstance(String eleventhInstance) 
    {
        this.eleventhInstance = eleventhInstance;
    }

    public String getEleventhInstance() 
    {
        return eleventhInstance;
    }
    public void setTwelfthInstance(String twelfthInstance) 
    {
        this.twelfthInstance = twelfthInstance;
    }

    public String getTwelfthInstance() 
    {
        return twelfthInstance;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("objid", getObjid())
            .append("type", getType())
            .append("referenceLocation", getReferenceLocation())
            .append("locationDescription", getLocationDescription())
            .append("powerSource", getPowerSource())
            .append("batteryType", getBatteryType())
            .append("imageAddress", getImageAddress())
            .append("remarks", getRemarks())
            .append("firstInstance", getFirstInstance())
            .append("secondInstance", getSecondInstance())
            .append("thirdInstance", getThirdInstance())
            .append("fourthInstance", getFourthInstance())
            .append("fifthInstance", getFifthInstance())
            .append("sixthInstance", getSixthInstance())
            .append("seventhInstance", getSeventhInstance())
            .append("eighthInstance", getEighthInstance())
            .append("ninthInstance", getNinthInstance())
            .append("tenthInstance", getTenthInstance())
            .append("eleventhInstance", getEleventhInstance())
            .append("twelfthInstance", getTwelfthInstance())
            .toString();
    }
}
